Commit 49ff2363 authored by Sergio Heli Triana's avatar Sergio Heli Triana

Files new version

parent 2028cbdb
FROM rocker/shiny:3.6.1
RUN apt-get update && apt-get install -y libtiff-dev
RUN apt-get install -y libjpeg-dev
RUN apt-get install -y libfftw3-dev
RUN apt-get install -y libhdf5-dev
RUN apt-get install -y libssl-dev
RUN apt-get install -y libxml2-dev
RUN apt-get install -y libgmp3-dev
COPY ./packages.R packages.R
RUN Rscript packages.R
# Image for https://indexplorer.embl.de/
## Building image
docker build -t git.embl.de:4567/velten/rocker/shiny:3.5.1-nicheView .
## Push it
docker push git.embl.de:4567/velten/rocker/shiny:3.5.1-nicheView
This diff is collapsed.
install.packages("mclust")
install.packages("devtools")
library(devtools)
devtools::install_github(repo = "ebecht/hypergate")
devtools::install_github(repo = 'satijalab/seurat', ref = 'develop')
install.packages("plotly")
install.packages("shinycustomloader")
install.packages("rpart")
install.packages("BIOMOD")
install.packages("rpart.plot")
install.packages("xml2")
install.packages("rgeos", repos="http://R-Forge.R-project.org", type="source")
install.packages("ggplot2")
install.packages("reshape2")
install.packages("plyr")
install.packages("gridExtra")
install.packages("waiter")
install.packages("grid")
install.packages("DT")
install.packages("ggrepel")
install.packages("RColorBrewer")
install.packages("dplyr")
install.packages(c("sp", "polyclip"))
if (!requireNamespace("BiocManager", quietly = TRUE))
install.packages("BiocManager")
BiocManager::install("flowCore")
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment